CVE-2021-23840

high
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

Calls to EVP_CipherUpdate, EVP_EncryptUpdate and EVP_DecryptUpdate may overflow the output length argument in some cases where the input length is close to the maximum permissable length for an integer on the platform. In such cases the return value from the function call will be 1 (indicating success), but the output length value will be negative. This could cause applications to behave incorrectly or crash. OpenSSL versions 1.1.1i and below are affected by this issue. Users of these versions should upgrade to OpenSSL 1.1.1j. OpenSSL versions 1.0.2x and below are affected by this issue. However OpenSSL 1.0.2 is out of support and no longer receiving public updates. Premium support customers of OpenSSL 1.0.2 should upgrade to 1.0.2y. Other users should upgrade to 1.1.1j. Fixed in OpenSSL 1.1.1j (Affected 1.1.1-1.1.1i). Fixed in OpenSSL 1.0.2y (Affected 1.0.2-1.0.2x).

References

https://git.openssl.org/gitweb/?p=openssl.git;a=commitdiff;h=9b1129239f3ebb1d1c98ce9ed41d5c9476c47cb2

https://git.openssl.org/gitweb/?p=openssl.git;a=commitdiff;h=6a51b9e1d0cf0bf8515f7201b68fb0a3482b3dc1

https://www.openssl.org/news/secadv/20210216.txt

https://www.debian.org/security/2021/dsa-4855

https://security.netapp.com/advisory/ntap-20210219-0009/

https://www.tenable.com/security/tns-2021-03

https://security.gentoo.org/glsa/202103-03

https://www.tenable.com/security/tns-2021-09

https://www.tenable.com/security/tns-2021-10

https://www.oracle.com/security-alerts/cpuApr2021.html

https://lists.apache.org/thread.html/[email protected]%3Cissues.bookkeeper.apache.org%3E

https://lists.apache.org/thread.html/[email protected]%3Cissues.bookkeeper.apache.org%3E

https://kb.pulsesecure.net/articles/Pulse_Security_Advisories/SA44846

Details

Source: MITRE

Published: 2021-02-16

Updated: 2021-07-20

Type: CWE-190

Risk Information

CVSS v2

Base Score: 5

Vector: AV:N/AC:L/Au:N/C:N/I:N/A:P

Impact Score: 2.9

Exploitability Score: 10

Severity: MEDIUM

CVSS v3

Base Score: 7.5

Vector: CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Impact Score: 3.6

Exploitability Score: 3.9

Severity: HIGH

Tenable Plugins

View all (51 total)

IDNameProductFamilySeverity
151385EulerOS Virtualization 3.0.2.2 : openssl (EulerOS-SA-2021-2154)NessusHuawei Local Security Checks
high
151312EulerOS Virtualization for ARM 64 3.0.2.0 : openssl (EulerOS-SA-2021-2091)NessusHuawei Local Security Checks
high
151263EulerOS Virtualization 3.0.6.6 : openssl098e (EulerOS-SA-2021-2044)NessusHuawei Local Security Checks
high
151258EulerOS Virtualization 3.0.6.6 : openssl (EulerOS-SA-2021-2032)NessusHuawei Local Security Checks
high
151175EulerOS Virtualization for ARM 64 3.0.6.0 : openssl (EulerOS-SA-2021-2005)NessusHuawei Local Security Checks
high
150559SUSE SLES11 Security Update : openssl1 (SUSE-SU-2021:14667-1)NessusSuSE Local Security Checks
high
150509SUSE SLES11 Security Update : openssl (SUSE-SU-2021:14670-1)NessusSuSE Local Security Checks
high
150188EulerOS 2.0 SP9 : openssl (EulerOS-SA-2021-1956)NessusHuawei Local Security Checks
high
150175EulerOS 2.0 SP9 : openssl (EulerOS-SA-2021-1935)NessusHuawei Local Security Checks
high
150139Tenable Log Correlation Engine (LCE) < 6.0.9 (TNS-2021-10)NessusMisc.
medium
149606EulerOS 2.0 SP5 : openssl (EulerOS-SA-2021-1907)NessusHuawei Local Security Checks
high
149581EulerOS 2.0 SP5 : openssl111d (EulerOS-SA-2021-1909)NessusHuawei Local Security Checks
high
149574EulerOS 2.0 SP5 : openssl098e (EulerOS-SA-2021-1908)NessusHuawei Local Security Checks
high
149551EulerOS 2.0 SP8 : openssl (EulerOS-SA-2021-1882)NessusHuawei Local Security Checks
high
149403Nessus Network Monitor < 5.13.1 Multiple Vulnerabilities (TNS-2021-09)NessusMisc.
high
149201EulerOS 2.0 SP3 : openssl (EulerOS-SA-2021-1825)NessusHuawei Local Security Checks
medium
149168EulerOS 2.0 SP3 : openssl098e (EulerOS-SA-2021-1826)NessusHuawei Local Security Checks
high
148977Oracle NoSQL Database Multiple Vulnerabilities (Apr 2021 CPU)NessusDatabases
critical
148638EulerOS Virtualization 2.9.1 : openssl (EulerOS-SA-2021-1721)NessusHuawei Local Security Checks
high
148635EulerOS Virtualization 2.9.0 : openssl (EulerOS-SA-2021-1740)NessusHuawei Local Security Checks
high
148402OpenSSL 1.1.1 < 1.1.1j Multiple VulnerabilitiesNessusWeb Servers
high
148355Photon OS 4.0: Openssl PHSA-2021-4.0-0007NessusPhotonOS Local Security Checks
high
148271GLSA-202103-03 : OpenSSL: Multiple vulnerabilitiesNessusGentoo Local Security Checks
high
148145SUSE SLES12 Security Update : openssl (SUSE-SU-2021:0939-1)NessusSuSE Local Security Checks
high
148011Ubuntu 16.04 LTS / 18.04 LTS / 20.04 LTS / 20.10 : OpenSSL vulnerabilities (USN-4738-1)NessusUbuntu Local Security Checks
high
147910Amazon Linux 2 : openssl11 (ALAS-2021-1612)NessusAmazon Linux Local Security Checks
high
147895Tenable Nessus Agent < 8.2.3 Multiple Vulnerabilities (TNS-2021-04)NessusMisc.
medium
147860openSUSE Security Update : openssl-1_1 (openSUSE-2021-427)NessusSuSE Local Security Checks
high
147852openSUSE Security Update : openssl-1_0_0 (openSUSE-2021-430)NessusSuSE Local Security Checks
high
147843SUSE SLES12 Security Update : compat-openssl098 (SUSE-SU-2021:0793-1)NessusSuSE Local Security Checks
high
147736SUSE SLES15 Security Update : openssl-1_0_0 (SUSE-SU-2021:0769-1)NessusSuSE Local Security Checks
high
147571SUSE SLES15 Security Update : openssl-1_1 (SUSE-SU-2021:0753-1)NessusSuSE Local Security Checks
high
147558FreeBSD : Node.js -- February 2021 Security Releases (2f3cd69e-7dee-11eb-b92e-0022489ad614)NessusFreeBSD Local Security Checks
high
147529SUSE SLES12 Security Update : openssl-1_1 (SUSE-SU-2021:0752-1)NessusSuSE Local Security Checks
high
147511SUSE SLES12 Security Update : openssl-1_0_0 (SUSE-SU-2021:0725-1)NessusSuSE Local Security Checks
high
147502SUSE SLES15 Security Update : openssl-1_1 (SUSE-SU-2021:0755-1)NessusSuSE Local Security Checks
high
147447SUSE SLED15 / SLES15 Security Update : openssl-1_1 (SUSE-SU-2021:0754-1)NessusSuSE Local Security Checks
high
147158openSUSE Security Update : nodejs10 (openSUSE-2021-372)NessusSuSE Local Security Checks
high
147145Node.js 10.x < 10.24.0 / 12.x < 12.21.0 / 14.x < 14.16.0 / 15.x < 15.10.0 Multiple VulnerabilitiesNessusMisc.
high
147144Tenable SecurityCenter 5.16.x / 5.17.0 Multiple Vulnerabilities (TNS-2021-03)NessusMisc.
high
147005Photon OS 1.0: Openssl PHSA-2021-1.0-0366NessusPhotonOS Local Security Checks
low
146980SUSE SLES12 Security Update : nodejs10 (SUSE-SU-2021:0673-1)NessusSuSE Local Security Checks
high
146972SUSE SLES15 Security Update : nodejs10 (SUSE-SU-2021:0674-1)NessusSuSE Local Security Checks
high
146914openSUSE Security Update : nodejs12 (openSUSE-2021-357)NessusSuSE Local Security Checks
high
146912SUSE SLES12 Security Update : nodejs12 (SUSE-SU-2021:0649-1)NessusSuSE Local Security Checks
high
146891SUSE SLES15 Security Update : nodejs12 (SUSE-SU-2021:0651-1)NessusSuSE Local Security Checks
high
146818Amazon Linux AMI : openssl (ALAS-2021-1482)NessusAmazon Linux Local Security Checks
high
146628Amazon Linux 2 : openssl (ALAS-2021-1608)NessusAmazon Linux Local Security Checks
low
146599Debian DSA-4855-1 : openssl - security updateNessusDebian Local Security Checks
medium
146591OpenSSL 1.0.2 < 1.0.2y Multiple VulnerabilitiesNessusWeb Servers
low
146560FreeBSD : OpenSSL -- Multiple vulnerabilities (96a21236-707b-11eb-96d8-d4c9ef517024)NessusFreeBSD Local Security Checks
low